package com.huigou.topsun.sap.suppliers.domain.vo;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 */
@Data
public class SuppliersBankVo implements Serializable {



    /**
     * 银行所属国家/地区代码
     */
    @JSONField(name = "BANKS")
    private String banks;

    /**
     * 银行代码
     */
    @JSONField(name = "BANKL")
    private String bankl;

    /**
     * 银行帐户号码
     */
    @JSONField(name = "BANKN")
    private String bankn;

    /**
     * 账户持有人姓名
     */
    @JSONField(name = "KOINH")
    private String koinh;

    /**
     * 银行控制代码
     */
    @JSONField(name = "BKONT")
    private String bkont;

    /**
     * 对方开户行类型
     */
    @JSONField(name = "BVTYP")
    private String bvtyp;

    /**
     * 财务机构名称
     */
     @JSONField(name = "BANKA")
    private String banka;

    /**
     * 分行
     */
    @JSONField(name = "BRNCH")
    private String brnch;

    /**
     * 银行细目的参考明细
     */
    @JSONField(name = "BKREF")
    private String bkref;

}