package com.huigou.topsun.sap.suppliers.domain.vo;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 */
@Data
public class SuppliersBuyerVo {


    /**
     * 采购组织
     */
     @JSONField(name = "EKORG")
    private String ekorg;

    /**
     * 货币码
     */
      @JSONField(name = "WAERS")
    private String waers;

    /**
     * 付款条件代码
     */
    @JSONField(name = "ZTERM")
    private String zterm;

    /**
     * 国际贸易条款
     */
    @JSONField(name = "INCO1")
    private String inco1;

    /**
     * 国际贸易条款位置 1
     */
    @JSONField(name = "INCO2_L")
    private String inco2L;

    /**
     * 国际贸易条款位置 2
     */
    @JSONField(name = "INCO3_L")
    private String inco3L;

    /**
     * 标识：基于收货的发票验证
     */
    @JSONField(name = "WEBRE")
    private String webre;

    /**
     * 计算方案组（供应商）
     */
    @JSONField(name = "KALSK")
    private String kalsk;


    /**
     * 供应商办公室的负责销售人员
     */
    @JSONField(name = "VERKF")
    private String verkf;


    /**
     * 供应商电话号码
     */
    @JSONField(name = "TELF1")
    private String telf1;

    /**
     * 基于服务的发票校验标识
     */
    @JSONField(name = "LEBRE")
    private String lebre;

    /**
     * 边境运输方式（欧盟内部贸易统计）
     */
    @JSONField(name = "EXPVZ")
    private String expvz;


    /**
     * 采购冻结在采购组织层
     */
    @JSONField(name = "SPERM")
    private String sperm;

}