package com.huigou.topsun.sap.suppliers.domain.vo;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 
 */

@Data
public class SuppliersPayVo  {


    /**
     * 公司代码
     */
    @JSONField(name = "BUKRS")
    private String bukrs;

    /**
     * 总帐中的统驭科目
     */
    @JSONField(name = "AKONT")
    private String akont;


    /**
     * 根据分配号排序代码
     */
    @JSONField(name = "ZUAWA")
    private String zuawa;

    /**
     * 付款条件代码
     */
    @JSONField(name = "ZTERM")
    private String zterm;

    /**
     * 考虑的付款方式清单
     */
    @JSONField(name = "ZWELS")
    private String zwels;


    /**
     * 检查双重发票或信贷凭单的标志
     */
    @JSONField(name = "REPRF")
    private String reprf;

    /**
     * 中心记帐冻结
    */
    @JSONField(name = "SPERR")
    private String sperr;

    /**
     * 对公司代码过帐冻结
     */
    @JSONField(name = "SPERR_B")
    private String sperrB;

}